<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Designated_person extends CI_Controller {
	public function __construct() {
        parent::__construct();
        $this->load->model('Common');
        $this->load->helper(array('form', 'url'));      
    }

    public function index() {
    	$user_id = $_SESSION['userdetails']["sdd_user_id"];    	
		$purchase_orders = $this->Common->select_data_by_condition("designated_person", array('is_delete' => '0'), '*', 'person_id', 'ASC', '',array());		
		$data['purchase_orders'] = $purchase_orders;
		$data['total_person_data'] = $this->Common->get_count_of_table_by_condition("designated_person", array("is_delete" => "0", "created_by"));

		$data['main_content'] = 'admin/company_master/designated_person/index';
		$this->load->view('includes/template', $data);	
	}

	public function add() {
		if ($this->input->method() == 'post') {
			$profile_image = "";
			if ($_FILES) {
				$config['upload_path'] = $this->config->item('upload_profile_image_path');
				$config['allowed_types'] = $this->config->item('upload_profile_image_types');
				$config['file_name'] = uniqid();
				$this->load->library('upload', $config);
				$this->upload->initialize($config);

				if($this->upload->do_upload("profile_image")) {
					$upload_data = $this->upload->data();
					$profile_image = $upload_data["file_name"];
				}
			}

			$data = array(
				"person_emp_id" => $this->input->post('dp_emp_id', TRUE),
				"person_name" => $this->input->post('full_name', TRUE),
				"current_designation" => $this->input->post('dp_designation', TRUE),
				"permanent_address" => $this->input->post('dp_per_add', TRUE),
				"correspondenc_address" => $this->input->post('dp_cor_add', TRUE),
				"person_pan_no" => $this->input->post('dp_pan_no', TRUE),
				"person_identifier_no" => $this->input->post('dp_identi_no', TRUE),
				"person_demat_ac_no" => $this->input->post('dp_demat_no', TRUE),
				"person_mobile_no" => $this->input->post('dp_mobile_no', TRUE),				
				"person_email_id" => $this->input->post('dp_email_id', TRUE),
				"person_dob" => $this->input->post('dp_dob', TRUE),
				"person_gender" => $this->input->post('dp_gender', TRUE),
				"person_city" => $this->input->post('dp_city', TRUE),
				"person_profile_image" => $profile_image,
				"created_at" => date('Y-m-d h:i:s')
			);
			
			$sdd_user_id = $this->Common->insert_data_getid($data, "designated_person");

			$this->session->set_flashdata('success', 'Designated Person added successfully.');
			redirect('admin/company_master/designated_person', 'refresh');
		}
		else {
			$data['main_content'] = 'admin/company_master/designated_person/add';
			$this->load->view('includes/template', $data);
		}
	}

	public function edit($sdd_user_id ) {
		if ($this->input->method() == 'post') {
			$data = array(
				"person_emp_id" => $this->input->post('dp_emp_id', TRUE),
				"person_name" => $this->input->post('full_name', TRUE),
				"current_designation" => $this->input->post('dp_designation', TRUE),
				"permanent_address" => $this->input->post('dp_per_add', TRUE),
				"correspondenc_address" => $this->input->post('dp_cor_add', TRUE),
				"person_pan_no" => $this->input->post('dp_pan_no', TRUE),
				"person_identifier_no" => $this->input->post('dp_identi_no', TRUE),
				"person_demat_ac_no" => $this->input->post('dp_demat_no', TRUE),
				"person_mobile_no" => $this->input->post('dp_mobile_no', TRUE),				
				"person_email_id" => $this->input->post('dp_email_id', TRUE),
				"person_dob" => $this->input->post('dp_dob', TRUE),
				"person_gender" => $this->input->post('dp_gender', TRUE),
				"person_city" => $this->input->post('dp_city', TRUE),
				"updated_at" => date('Y-m-d h:i:s')
			);

			if ($_FILES) {
				$config['upload_path'] = $this->config->item('upload_profile_image_path');
				$config['allowed_types'] = $this->config->item('upload_profile_image_types');
				$config['file_name'] = uniqid();
				$this->load->library('upload', $config);
				$this->upload->initialize($config);

				if($this->upload->do_upload("profile_image")) {
					$upload_data = $this->upload->data();
					$profile_image = $upload_data["file_name"];
					$data["person_profile_image "] = $profile_image;
				}
			}
			
			$this->Common->update_data($data, "designated_person", "person_id", $sdd_user_id );

			$this->session->set_flashdata('success', 'Designated Person data updated successfully.');
			redirect('admin/company_master/designated_person', 'refresh');
		}
		else {
			$data['user'] = $this->Common->selectRecordByFields("designated_person", array("person_id" => $sdd_user_id ));
			$data['main_content'] = 'admin/company_master/designated_person/edit';
			$this->load->view('includes/template', $data);
		}
	}

	
 }