<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Insider_profile extends CI_Controller {
	public function __construct() {
		parent::__construct();
		$this->load->model('Common');
		$this->load->helper(array('form', 'url'));
	}

	public function index() {
		$users = $this->Common->select_data_by_condition("sdd_users", array(), '*', 'sdd_user_id', 'desc', '', '', array());
		$data['users'] = $users;
		$data['total_insider_data'] = $this->Common->get_count_of_table_by_condition("sdd_users", array("is_delete" => "0", "created_by"));

		$data['main_content'] = 'admin/company_master/insider_profile/index';
		$this->load->view('includes/template', $data);
	}	

	public function add() {
		if ($this->input->method() == 'post') {
			$profile_image = "";
			if ($_FILES) {
				$config['upload_path'] = $this->config->item('upload_profile_image_path');
				$config['allowed_types'] = $this->config->item('upload_profile_image_types');
				$config['file_name'] = uniqid();
				$this->load->library('upload', $config);
				$this->upload->initialize($config);

				if($this->upload->do_upload("sdd_user_profile_image")) {
					$upload_data = $this->upload->data();
					$profile_image = $upload_data["file_name"];
				}
			}

			$data = array(
				"sdd_user_name" => $this->input->post('full_name', TRUE),
				"sdd_user_dob" => $this->input->post('dob', TRUE),
				"sdd_user_gender" => $this->input->post('gender', TRUE),
				"sdd_user_pan_no" => $this->input->post('pan_no', TRUE),
				"sdd_user_phone_number" => $this->input->post('phone_number', TRUE),
				"sdd_user_email" => $this->input->post('email', TRUE),
				"sdd_user_username" => $this->input->post('username', TRUE),
				"sdd_user_password" => password_hash($this->input->post('password'), PASSWORD_BCRYPT),
				"sdd_user_city" => $this->input->post('city', TRUE),
				"sdd_user_designation" => $this->input->post('designation', TRUE),
				"sdd_user_department" => $this->input->post('department', TRUE),
				"sdd_user_role_id" => $this->input->post('user_role_id', TRUE),
				"sdd_user_profile_image " => $profile_image,
				"created_at" => date('Y-m-d h:i:s')
			);
			
			$sdd_user_id = $this->Common->insert_data_getid($data, "sdd_users");

			$this->session->set_flashdata('success', 'User created successfully.');
			redirect('admin/company_master/insider_profile', 'refresh');
		}
		else {
			$data['main_content'] = 'admin/company_master/insider_profile/add';
			$this->load->view('includes/template', $data);
		}
	}

	public function edit($sdd_user_id ) {
		if ($this->input->method() == 'post') {
			$data = array(
				"sdd_user_name" => $this->input->post('full_name', TRUE),
				"sdd_user_dob" => $this->input->post('dob', TRUE),
				"sdd_user_gender" => $this->input->post('gender', TRUE),
				"sdd_user_pan_no" => $this->input->post('pan_no', TRUE),
				"sdd_user_phone_number" => $this->input->post('phone_number', TRUE),
				"sdd_user_email" => $this->input->post('email', TRUE),
				"sdd_user_username" => $this->input->post('username', TRUE),
				"sdd_user_password" => password_hash($this->input->post('password'), PASSWORD_BCRYPT),
				"sdd_user_city" => $this->input->post('city', TRUE),
				"sdd_user_designation" => $this->input->post('designation', TRUE),
				"sdd_user_department" => $this->input->post('department', TRUE),
				"sdd_user_role_id" => $this->input->post('user_role_id', TRUE),
				"updated_at" => date('Y-m-d h:i:s')
			);

			if ($_FILES) {
				$config['upload_path'] = $this->config->item('upload_profile_image_path');
				$config['allowed_types'] = $this->config->item('upload_profile_image_types');
				$config['file_name'] = uniqid();
				$this->load->library('upload', $config);
				$this->upload->initialize($config);

				if($this->upload->do_upload("sdd_user_profile_image")) {
					$upload_data = $this->upload->data();
					$profile_image = $upload_data["file_name"];
					$data["sdd_user_profile_image "] = $profile_image;
				}
			}
			
			$this->Common->update_data($data, "sdd_users", "sdd_user_id ", $sdd_user_id );

			$this->session->set_flashdata('success', 'User updated successfully.');
			redirect('admin/company_master/insider_profile', 'refresh');
		}
		else {
			$data['user'] = $this->Common->selectRecordByFields("sdd_users", array("sdd_user_id " => $sdd_user_id ));
			$data['main_content'] = 'admin/company_master/insider_profile/edit';
			$this->load->view('includes/template', $data);
		}
	}

	// public function delete($id) {
	// 	$this->Common->delete_data("prc_users", "id", $id);
	// 	$this->session->set_flashdata('success', 'User deleted successfully.');
	// 	redirect('master/user', 'refresh');
	// }
}